Subject: [xml2rfc] pagebreaks in figures
From: [email-masked] (Marshall Rose)
Date: Mon, 30 Jun 2003 09:27:09 -0700

> what does large mean? I think an older version of your tool
> did it better, may be I'm wrong.

large is anything more than about 8 lines.

/mtr

From: [email-masked] (Michael Tuexen)
Date: Mon, 30 Jun 2003 15:58:38 +0200
Subject: [xml2rfc] pagebreaks in figures
In-Reply-To: <[email-masked]>
Message-ID: <[email-masked]>

Hi Marshall,

what does large mean? I think an older version of your tool
did it better, may be I'm wrong.

Best regards
Michael

 From an ID I'm writing:

    The PU <-> NS communication is used for doing name queries. The PU
    sends a pool handle to the NS and gets back the information necessary
    for accessing a server in a server pool.

                        ********        ********
                        *  PU  *        *  NS  *
                        ********        ********

                        +------+        +------+
                        | ASAP |        | ASAP |
                        +------+        +------+

Tuexen, et al.         Expires December 28, 2003                [Page 6]

Internet-Draft    Architecture for Reliable Server Pooling     June 2003

                        | SCTP |        | SCTP |
                        +------+        +------+
                        |  IP  |        |  IP  |
                        +------+        +------+

                     Protocol stack between PU and NS

                                 Figure 1

    This communication can be based on SCTP or TCP if the PU does not
    support SCTP. The protocol stack for an SCTP capable PU is given in
    Figure 1.

Internet-Draft    Architecture for Reliable Server Pooling     June 2003

                        | SCTP |        | SCTP |
                        +------+        +------+
                        |  IP  |        |  IP  |
                        +------+        +------+

                     Protocol stack between PU and NS

                                 Figure 1

    This communication can be based on SCTP or TCP if the PU does not
    support SCTP. The protocol stack for an SCTP capable PU is given in
    Figure 1.

On Monday, Jun 30, 2003, at 15:53 Europe/Berlin, Marshall Rose wrote:

>> is there is way to make sure that figures are not divided and show
>> up on two pages?
>
> small figures/tables are automatically floated to the next page. larger
> figures/tables aren't. in that case, you need to put
>
> 	<t><vspace blankLines='1000' /></t>
>
> in front of the figure/table to force a new page (in text mode).
>
> /mtr
> _______________________________________________
> xml2rfc mailing list
> [email-masked]
> http://lists.xml.resource.org/mailman/listinfo/xml2rfc
>

From: [email-masked] (Marshall Rose)
Date: Mon, 30 Jun 2003 06:53:52 -0700
Subject: [xml2rfc] pagebreaks in figures
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

> is there is way to make sure that figures are not divided and show
> up on two pages?

small figures/tables are automatically floated to the next page. larger
figures/tables aren't. in that case, you need to put
    
	<t><vspace blankLines='1000' /></t>
    
in front of the figure/table to force a new page (in text mode).
    
/mtr

From: [email-masked] (Marshall Rose)
Date: Mon, 30 Jun 2003 06:52:40 -0700
Subject: [xml2rfc] Numbering
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

> The reference and authors sections have no numbers whereas RFC 2223
> indicates that these section should have numbers. Is there a way to
> enable the numbering on these 'special' sections?

no. don't worry about having them numbered. the rfc-editor isn't
consistent with respect to their numbering (or not).
    
/mtr

From: [email-masked] (Julian Reschke)
Date: Mon, 30 Jun 2003 09:36:31 +0200
Subject: [xml2rfc] Global numbering
In-Reply-To: <[email-masked]>
Message-ID: <[email-masked]>

<list style="format %d." counter="some-unique-name">

should do that.

--
<green/>bytes GmbH -- http://www.greenbytes.de -- tel:+492512807760 

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Avri Doria
> Sent: Monday, June 30, 2003 7:30 AM
> To: [email-masked]
> Subject: [xml2rfc] Global numbering
> 
> 
> Is it possible to create a numbered list that runs continuously
> through the middle but across sections?
> 
> if someone has done this already, please point me at the example.
> i did a quick look at the archives and did not see this issue - if it is
> there please let me know where.
> 
> thanks
> a.
> 
> _______________________________________________
> xml2rfc mailing list
> [email-masked]
> http://lists.xml.resource.org/mailman/listinfo/xml2rfc
> 

From: [email-masked] (Avri Doria)
Date: Mon, 30 Jun 2003 14:30:14 +0900
Subject: [xml2rfc] Global numbering
Message-ID: <[email-masked]>

Is it possible to create a numbered list that runs continuously
through the middle but across sections?

if someone has done this already, please point me at the example.
i did a quick look at the archives and did not see this issue - if it is
there please let me know where.

thanks
a.

From: [email-masked] ([email-masked])
Date: Sun, 29 Jun 2003 23:21:29 +0300
Subject: [xml2rfc] pagebreaks in figures
Message-ID: <[email-masked]>

Hi,

One way is to use <vspace /> right before the figure, with a big enough blankLines attribute. <vspace blankLines="100" /> should do it.

Cheers,
Aki

 > -----Original Message-----
 > From: ext Michael Tuexen [mailto:[email-masked]]
 > Sent: 29 June, 2003 23:15
 > To: [email-masked]
 > Subject: [xml2rfc] pagebreaks in figures
 > 
 > 
 > Dear all,
 > 
 > is there is way to make sure that figures are not divided and show
 > up on two pages?
 > 
 > Best regards
 > Michael
 > 
 > _______________________________________________
 > xml2rfc mailing list
 > [email-masked]
 > http://lists.xml.resource.org/mailman/listinfo/xml2rfc
 > 

From: [email-masked] (Michael Tuexen)
Date: Sun, 29 Jun 2003 22:15:04 +0200
Subject: [xml2rfc] pagebreaks in figures
Message-ID: <[email-masked]>

Dear all,

is there is way to make sure that figures are not divided and show
up on two pages?

Best regards
Michael

From: [email-masked] (Julian Reschke)
Date: Sun, 29 Jun 2003 14:01:19 +0200
Subject: [xml2rfc] Numbering
In-Reply-To: <[email-masked]>
Message-ID: <[email-masked]>

:-)

Ok,

the author section should be unnumbered:

"   A published RFC may contain the sections in the following list.  Some
   of these sections are required, as noted.  The order shown is
   required, except that the order shown for the sub-items 7a-7f within
   Body of Memo is generally recommended but not required.

      1.  First-page header           [Required]
      2.  Status of this Memo         [Required*]
      3.  Copyright Notice            [Required*]
      4.  IESG Note                   [As requested by IESG*]
      5.  Abstract                    [Required]
      6.  Table of Contents           [Required for large documents]
      7.  Body of the Memo            [Required]
       7a.  Contributors
       7b.  Acknowledgments
       7c.  Security Considerations   [Required]
       7d.  IANA Considerations
       7e.  Appendixes
       7f.  References
      8. Author's Address             [Required]
      9. Full Copyright Statement     [Required*]

   Those sections marked with * will be supplied by the RFC Editor
   during the editorial process.

   The rules for each of these sections are described below in
   corresponding subsections.

   The Body of the Memo will normally contain section numbers (or
   Appendix labels).  Sections listed as 1-6 and 8-9 are to be
   unnumbered."

whereas the references sections should be numbered.

I think Marshall position is to wait until this becomes an RFC before making
any changes. In particular, we (the xml2rfc community) are waiting for
feedback from the rfc editors on related questions (such as how to number
appendices).

Julian

--
<green/>bytes GmbH -- http://www.greenbytes.de -- tel:+492512807760

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Michael Tuexen
> Sent: Sunday, June 29, 2003 1:28 PM
> To: Julian Reschke
> Cc: [email-masked]
> Subject: Re: [xml2rfc] Numbering
>
>
>  From section 4:
>
>
>                   s. Normative References
>
>                        xxx
>                        ...
>                        xxx
>
>                  s+1. Informative References
>
>                        xxx
>                        ...
>                        xxx
>
> I'm reading this ( s and s+1) as section numbers.
> Where in the body of the doc is it specified that it is numbered
> or unnumbered/
>
> Best regards
> Michael
>
> On Sunday, Jun 29, 2003, at 13:19 Europe/Berlin, Julian Reschke wrote:
>
> > <http://www.ietf.org/internet-drafts/draft-rfc-editor-rfc2223bis-
> > 06.txt>,
> > section 4, suggests they should be unnumbered.
> >
> > --
> > <green/>bytes GmbH -- http://www.greenbytes.de -- tel:+492512807760
> >
> >> -----Original Message-----
> >> From: [email-masked]
> >> [mailto:[email-masked]]On Behalf Of Michael
> >> Tuexen
> >> Sent: Sunday, June 29, 2003 1:06 PM
> >> To: [email-masked]
> >> Subject: [xml2rfc] Numbering
> >>
> >>
> >> Dear all,
> >>
> >> I encountered one problem:
> >> The reference and authors sections have no numbers whereas RFC 2223
> >> indicates that these section should have numbers. Is there a way to
> >> enable the numbering on these 'special' sections?
> >>
> >> Best regards
> >> Michael
> >>
> >> _______________________________________________
> >> xml2rfc mailing list
> >> [email-masked]
> >> http://lists.xml.resource.org/mailman/listinfo/xml2rfc
> >>
> >
> > _______________________________________________
> > xml2rfc mailing list
> > [email-masked]
> > http://lists.xml.resource.org/mailman/listinfo/xml2rfc
> >
>
> _______________________________________________
> xml2rfc mailing list
> [email-masked]
> http://lists.xml.resource.org/mailman/listinfo/xml2rfc
>

From: [email-masked] (Michael Tuexen)
Date: Sun, 29 Jun 2003 13:27:58 +0200
Subject: [xml2rfc] Numbering
In-Reply-To: <[email-masked]>
Message-ID: <[email-masked]>

 From section 4:

                  s. Normative References

                       xxx
                       ...
                       xxx

                 s+1. Informative References

                       xxx
                       ...
                       xxx

I'm reading this ( s and s+1) as section numbers.
Where in the body of the doc is it specified that it is numbered
or unnumbered/

Best regards
Michael

On Sunday, Jun 29, 2003, at 13:19 Europe/Berlin, Julian Reschke wrote:

> <http://www.ietf.org/internet-drafts/draft-rfc-editor-rfc2223bis- 
> 06.txt>,
> section 4, suggests they should be unnumbered.
>
> --
> <green/>bytes GmbH -- http://www.greenbytes.de -- tel:+492512807760
>
>> -----Original Message-----
>> From: [email-masked]
>> [mailto:[email-masked]]On Behalf Of Michael  
>> Tuexen
>> Sent: Sunday, June 29, 2003 1:06 PM
>> To: [email-masked]
>> Subject: [xml2rfc] Numbering
>>
>>
>> Dear all,
>>
>> I encountered one problem:
>> The reference and authors sections have no numbers whereas RFC 2223
>> indicates that these section should have numbers. Is there a way to
>> enable the numbering on these 'special' sections?
>>
>> Best regards
>> Michael
>>
>> _______________________________________________
>> xml2rfc mailing list
>> [email-masked]
>> http://lists.xml.resource.org/mailman/listinfo/xml2rfc
>>
>
> _______________________________________________
> xml2rfc mailing list
> [email-masked]
> http://lists.xml.resource.org/mailman/listinfo/xml2rfc
>

From: [email-masked] (Julian Reschke)
Date: Sun, 29 Jun 2003 13:19:09 +0200
Subject: [xml2rfc] Numbering
In-Reply-To: <[email-masked]>
Message-ID: <[email-masked]>

<http://www.ietf.org/internet-drafts/draft-rfc-editor-rfc2223bis-06.txt>,
section 4, suggests they should be unnumbered.

--
<green/>bytes GmbH -- http://www.greenbytes.de -- tel:+492512807760

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Michael Tuexen
> Sent: Sunday, June 29, 2003 1:06 PM
> To: [email-masked]
> Subject: [xml2rfc] Numbering
>
>
> Dear all,
>
> I encountered one problem:
> The reference and authors sections have no numbers whereas RFC 2223
> indicates that these section should have numbers. Is there a way to
> enable the numbering on these 'special' sections?
>
> Best regards
> Michael
>
> _______________________________________________
> xml2rfc mailing list
> [email-masked]
> http://lists.xml.resource.org/mailman/listinfo/xml2rfc
>

From: [email-masked] (Michael Tuexen)
Date: Sun, 29 Jun 2003 13:06:15 +0200
Subject: [xml2rfc] Numbering
Message-ID: <[email-masked]>

Dear all,

I encountered one problem:
The reference and authors sections have no numbers whereas RFC 2223
indicates that these section should have numbers. Is there a way to
enable the numbering on these 'special' sections?

Best regards
Michael

From: [email-masked] (George M. Jones)
Date: Thu, 26 Jun 2003 20:51:34 -0400
Subject: [xml2rfc] xref titles in .txt ?
References: <[email-masked]>	<[email-masked]>	<[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

Marshall Rose wrote:

>>E.T.A., beta, or pointers to where to hack the code (I'm *not* a TCL hack).
>>    
>>
>
>the release is next week.
>
>however, if you are running xml2rfc on your own system (i.e., if you are *not*
>using the web-based service), i'll send you the script now.
>
Got it. Tried it. Works fine. Diffed the .txt output of old and new xml2rfc.
Only change was the spelling fix of "Acknowledgment". Lack of breakage 
is good.

What's the syntax for including xref titles in the .txt version ?

Thanks,
---George

From: [email-masked] (Fred Templin)
Date: Thu, 26 Jun 2003 13:41:56 -0700
Subject: [xml2rfc] help with symrefs
References: <[email-masked]> <[email-masked]> <[email-masked]> <[email-masked]> <Pine.BSF.4.53.0306261245430.43590@measurem
Message-ID: <[email-masked]>

Alex Rousskov wrote:

>The only way to do that is to move the mapping from the script input
>into xml2rfc input. Doable, but a decent implementation would require
>introducing a new element to express the mapping, IMO:
>
>	<ref-synonym name="well-known" synonym="custom" />
>
>or something like that. This is probably more work for Marshall than
>what your original request implied.
>
I don't have a good sense of how much work would be involved,
but this would be a one-time engineering effort for Marshall.

>That is why I indicated that you
>may simply follow Marshall suggestion and create a script to create a
>custom directory.
>

This would be an N-times library customization effort for each
of the N authors who use xml2rfc and wish to use customized
symrefs. I can certainly create my own shadow tree and go from
there, but I'd prefer to not have to mess with the libraries at all
and have all of my document dependencies isolated to a single
*.xml file.

In any event, this discussion is now in the archives and if nothing
else can serve as a "user's guide" should the question come up again.

Fred
[email-masked]

From: [email-masked] (Alex Rousskov)
Date: Thu, 26 Jun 2003 14:19:41 -0600 (MDT)
Subject: [xml2rfc] help with symrefs
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]> <[email-masked]> <[email-masked]> <Pine.BSF.4.53.0306261245430.43590@measurem <[email-masked]>
Message-ID: <[email-masked]>

On Thu, 26 Jun 2003, Fred Templin wrote:

> Mashall's suggestion was to maintain a shadow directory that maps
> the RFC name to a well-known symref name, e.g. the RFC3513 entry in
> the RFC directory would have a corresponding ADDARCH entry in the
> shadow directory. Marshall suggested that the shadow directory could
> be created by a shell script that replaces the name RFCXXXX with a
> well-known symbolic name for each RFC in the database.

Since you want to customize, you do not need/want Marshall to maintain
that directory. *You* will maintain it. You will invent symbolic
names. Marshall might distribute a script to help you, but you will be
in control.

Note that since you are not referring to all RFCs, you do not need to
maintain a map for all RFCs. The script will only copy/adjust RFCs you
assign symbolic names to.

> I agreed that this could be done for the RFCs (since that database
> is relatively static) but it would be difficult to manage for the
> Internet Draft (I-D) database (since it changes so dynamically).

The fact that new IDs and ID versions are added does not complicate
anything. The script will only copy/adjust IDs you assign symbolic
names to.

> The other issue is that individual authors may want to use totally
> different symbolic names, e.g., for RFC 0791 some authors might
> want to use the symref: [IPv4], others might prefer: [IP], and still
> others might prefer something strange like:  [INTPROT]. The only
> solution I currently see is for each author to manage his own shadow
> directory

Exactly, which boils down to maintaining a mapping of standard names
to custom names and running a script.

> and hand-edit the include files to use the symrefs they prefer.

Why hand-edit? If there is sufficient demand, somebody will write a
script.

> I'd like to see xml2rfc provide a method for enabling arbitrary
> symrefs w/o having to mess with the include files at all.

The only way to do that is to move the mapping from the script input
into xml2rfc input. Doable, but a decent implementation would require
introducing a new element to express the mapping, IMO:

	<ref-synonym name="well-known" synonym="custom" />

or something like that. This is probably more work for Marshall than
what your original request implied. That is why I indicated that you
may simply follow Marshall suggestion and create a script to create a
custom directory.

Alex.

From: [email-masked] (Fred Templin)
Date: Thu, 26 Jun 2003 13:06:22 -0700
Subject: [xml2rfc] help with symrefs
References: <[email-masked]> <[email-masked]> <[email-masked]> <[email-masked]> <Pine.BSF.4.53.0306261245430.43590@measurem
Message-ID: <[email-masked]>

Alex Rousskov wrote:

>However, the two-directory solution that Marshall originally proposed
>achieves the same effect without introducing the new option. Here,
>again, a simple diff/patch approach will reduce maintenance to a
>minimum. I am not sure why you claim it is not practical to maintain
>such a customization. Care to clarify what the difficulty is?
>
Mashall's suggestion was to maintain a shadow directory that maps
the RFC name to a well-known symref name, e.g. the RFC3513 entry
in the RFC directory would have a corresponding ADDARCH entry
in the shadow directory. Marshall suggested that the shadow directory
could be created by a shell script that  replaces the name RFCXXXX
with a well-known symbolic name for each RFC in the database. I
agreed that this could be done for the RFCs (since that database is
relatively static) but it would be difficult to manage for the Internet
Draft (I-D) database (since it changes so dynamically).

The other issue is that individual authors may want to use totally
different symbolic names, e.g., for RFC 0791 some authors might
want to use the symref: [IPv4], others might prefer: [IP], and still
others might prefer something strange like:  [INTPROT]. The only
solution I currently see is for each author to manage his own shadow
directory and hand-edit the include files to use the symrefs they
prefer. I'd like to see xml2rfc provide a method for enabling
arbitrary symrefs w/o having to mess with the include files at all.

Fred
[email-masked]

From: [email-masked] (Alex Rousskov)
Date: Thu, 26 Jun 2003 12:56:32 -0600 (MDT)
Subject: [xml2rfc] help with symrefs
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]> <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

On Thu, 26 Jun 2003, Fred Templin wrote:

> Is there a way to add an option either in the include lines or xref
> lines or both, e.g.:
>
>   <?rfc include="reference.RFC.3513" symref="ADDARCH" ?>
>   <xref target='RFC3513' symref='ADDRARCH'></xref>

Both seem to be the wrong places to add the option. The include
directive is used, in part, to include things that are not references
(e.g., artwork). Xrefs with the same target may be repeated throughout
the text and it seems wrong to require identical symref attribute in
all of them or in one of them; both approaches would lead to editing
problems.

The right place to add the option is the reference element itself,
IMO. If someone wants to use custom references, they can adjust
distributed references. Local maintenance work can be minimized with a
simple diff/patch approach since most references do not change much.

However, the two-directory solution that Marshall originally proposed
achieves the same effect without introducing the new option. Here,
again, a simple diff/patch approach will reduce maintenance to a
minimum. I am not sure why you claim it is not practical to maintain
such a customization. Care to clarify what the difficulty is?

Thanks,

Alex.

From: [email-masked] (Julian Reschke)
Date: Thu, 26 Jun 2003 18:25:42 +0200
Subject: [xml2rfc] help with symrefs
In-Reply-To: <[email-masked]>
Message-ID: <[email-masked]>

Another solution would be to add a preprocessing step that maps the
reference names (I guess that would be a rather trivial XSLT).

--
<green/>bytes GmbH -- http://www.greenbytes.de -- tel:+492512807760

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Fred Templin
> Sent: Thursday, June 26, 2003 6:20 PM
> To: Marshall Rose
> Cc: [email-masked]
> Subject: Re: [xml2rfc] help with symrefs
>
>
> Marshall,
>
> This would be OK, but I would also like to have symref control
> over I-Ds as well as RFCs, and it's just not practical to generate
> and maintain a shadow directory for I-Ds. Also, I might want to
> use symrefs of my own choosing; not necessarily chosen from a
> widely-accepted set of symblic mappings.
>
> Is  there a way to add an option either in the include lines or xref
> lines or both, e.g.:
>
>   <?rfc include="reference.RFC.3513" symref="ADDARCH" ?>
>   <xref target='RFC3513' symref='ADDRARCH'></xref>
>
> Thanks,
>
> Fred
> [email-masked]
>
>
> Marshall Rose wrote:
>
> >>In my xml file, I am setting symrefs to 'yes' and in the references
> >>section, I have the line:
> >>
> >>  <?rfc include="reference.RFC.3513" ?>
> >>
> >>When I include a line of text in the body such as:
> >>
> >>  <t>text citation from <xref target='RFC3513'></xref></t>
> >>
> >>I see the following output from xml2rfc:
> >>
> >>  "text citation from [RFC3513]"
> >>
> >>But, I'd like to find a way to have finer-grained control such that
> >>I can direct xml2rfc to generate a symref to my own liking, e.g.:
> >>
> >>  "text citation from [ADDARCH]"
> >>
> >>yet still being able to include the reference under its "formal"
> >>name (in this case, RFC3513).  Is there any way to do this?
> >>
> >>
> >
> >yes.
> >
> >however, the way to do it is to have a second directory containing the
> >reference.RFC.* files with the symbolic references you want.
> >
> >i suppose we could use a shell script that took a tab-delimited file
> >with symbolic mappings, e.g.,
> >
> >	RFC3513	ADDARCH
> >
> >and generated a new directory.
> >
> >if someone were to come up with a widely-accepted set of symbolic
> >mappings, then i would run the script regularly to produce a directory
> >that folks could download automatically...
> >
> >/mtr
> >_______________________________________________
> >xml2rfc mailing list
> >[email-masked]
> >http://lists.xml.resource.org/mailman/listinfo/xml2rfc
> >
> >
>
>
> _______________________________________________
> xml2rfc mailing list
> [email-masked]
> http://lists.xml.resource.org/mailman/listinfo/xml2rfc
>

From: [email-masked] (Fred Templin)
Date: Thu, 26 Jun 2003 09:20:15 -0700
Subject: [xml2rfc] help with symrefs
References: <[email-masked]>	<[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

Marshall,

This would be OK, but I would also like to have symref control
over I-Ds as well as RFCs, and it's just not practical to generate
and maintain a shadow directory for I-Ds. Also, I might want to
use symrefs of my own choosing; not necessarily chosen from a
widely-accepted set of symblic mappings.

Is  there a way to add an option either in the include lines or xref
lines or both, e.g.:

  <?rfc include="reference.RFC.3513" symref="ADDARCH" ?>
  <xref target='RFC3513' symref='ADDRARCH'></xref>

Thanks,

Fred
[email-masked]

Marshall Rose wrote:

>>In my xml file, I am setting symrefs to 'yes' and in the references
>>section, I have the line:
>>
>>  <?rfc include="reference.RFC.3513" ?>
>>
>>When I include a line of text in the body such as:
>>
>>  <t>text citation from <xref target='RFC3513'></xref></t>
>>
>>I see the following output from xml2rfc:
>>
>>  "text citation from [RFC3513]"
>>
>>But, I'd like to find a way to have finer-grained control such that
>>I can direct xml2rfc to generate a symref to my own liking, e.g.:
>>
>>  "text citation from [ADDARCH]"
>>
>>yet still being able to include the reference under its "formal"
>>name (in this case, RFC3513).  Is there any way to do this?
>>    
>>
>
>yes.
>    
>however, the way to do it is to have a second directory containing the
>reference.RFC.* files with the symbolic references you want.
>    
>i suppose we could use a shell script that took a tab-delimited file
>with symbolic mappings, e.g.,
>    
>	RFC3513	ADDARCH
>    
>and generated a new directory.
>    
>if someone were to come up with a widely-accepted set of symbolic
>mappings, then i would run the script regularly to produce a directory
>that folks could download automatically...
>    
>/mtr
>_______________________________________________
>xml2rfc mailing list
>[email-masked]
>http://lists.xml.resource.org/mailman/listinfo/xml2rfc
>  
>

From: [email-masked] (Marshall Rose)
Date: Wed, 25 Jun 2003 19:00:25 -0700
Subject: [xml2rfc] help with symrefs
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

> In my xml file, I am setting symrefs to 'yes' and in the references
> section, I have the line:
> 
>   <?rfc include="reference.RFC.3513" ?>
> 
> When I include a line of text in the body such as:
> 
>   <t>text citation from <xref target='RFC3513'></xref></t>
> 
> I see the following output from xml2rfc:
> 
>   "text citation from [RFC3513]"
> 
> But, I'd like to find a way to have finer-grained control such that
> I can direct xml2rfc to generate a symref to my own liking, e.g.:
> 
>   "text citation from [ADDARCH]"
> 
> yet still being able to include the reference under its "formal"
> name (in this case, RFC3513).  Is there any way to do this?

yes.
    
however, the way to do it is to have a second directory containing the
reference.RFC.* files with the symbolic references you want.
    
i suppose we could use a shell script that took a tab-delimited file
with symbolic mappings, e.g.,
    
	RFC3513	ADDARCH
    
and generated a new directory.
    
if someone were to come up with a widely-accepted set of symbolic
mappings, then i would run the script regularly to produce a directory
that folks could download automatically...
    
/mtr

From: [email-masked] (Fred Templin)
Date: Wed, 25 Jun 2003 17:30:28 -0700
Subject: [xml2rfc] help with symrefs
References: <[email-masked]>
Message-ID: <[email-masked]>

In my xml file, I am setting symrefs to 'yes' and in the references
section, I have the line:

  <?rfc include="reference.RFC.3513" ?>

When I include a line of text in the body such as:

  <t>text citation from <xref target='RFC3513'></xref></t>

I see the following output from xml2rfc:

  "text citation from [RFC3513]"

But, I'd like to find a way to have finer-grained control such that
I can direct xml2rfc to generate a symref to my own liking, e.g.:

  "text citation from [ADDARCH]"

yet still being able to include the reference under its "formal"
name (in this case, RFC3513).  Is there any way to do this?

Fred
[email-masked]

From: [email-masked] (Marshall Rose)
Date: Wed, 25 Jun 2003 15:59:58 -0700
Subject: [xml2rfc] xref titles in .txt ?
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

> E.T.A., beta, or pointers to where to hack the code (I'm *not* a TCL hack).

the release is next week.

however, if you are running xml2rfc on your own system (i.e., if you are *not*
using the web-based service), i'll send you the script now.

/mtr

From: [email-masked] (Marshall Rose)
Date: Wed, 25 Jun 2003 15:56:56 -0700
Subject: [xml2rfc] new features for the soon-to-be-released v1.20
Message-ID: <[email-masked]>

hi. v1.20 is nearing release. the changes are:
    
    - in strict mode, unexpected attributes are reported
    
    - the <reference/> element may contain one or more <annotation/>
      elements which let's you turn a "References" section into an
      "Annotated Bibliography".
    
      the content model for <annotation/> is identical to <c/>, i.e.,
      each contains text along with <xref/>, <eref/>, and <iref/>.
    
    - the <xref/> element takes an optional attribute, format, which is
      consulted if the content of the element is empty. There are three
      possible values: counter, title, and default.

/mtr

From: [email-masked] (George M. Jones)
Date: Wed, 25 Jun 2003 18:45:35 -0400
Subject: [xml2rfc] xref titles in .txt ?
References: <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

Marshall Rose wrote:

>>I would like to be able to include xref titles in the .txt output,
>>in place of or in addition to the section number. Is (should there be)
>>a way to do that?
>>    
>>
>
>the next release of xml2rfc will support that.
>

E.T.A., beta, or pointers to where to hack the code (I'm *not* a TCL hack).

Thanks,
---George

From: [email-masked] (Marshall Rose)
Date: Wed, 25 Jun 2003 15:23:24 -0700
Subject: [xml2rfc] xref titles in .txt ?
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

> I would like to be able to include xref titles in the .txt output,
> in place of or in addition to the section number. Is (should there be)
> a way to do that?

the next release of xml2rfc will support that.

/mtr

From: [email-masked] (George M. Jones)
Date: Wed, 25 Jun 2003 18:02:46 -0400
Subject: [xml2rfc] xref titles in .txt ?
Message-ID: <[email-masked]>

I would like to be able to include xref titles in the .txt output,
in place of or in addition to the section number. Is (should there be)
a way to do that?

Digging back through the list archives, I found

>are we talking about text or html output?
>
>input                             text output           html output
>-----                             -----------           -----------
><xref target='foo'/>              Section 1.2           <a ...>foo's-title</a>
><xref target='foo>bar</xref>      bar (Section 1.2)     <a ...>bar</a>
>    
>in other words, you don't get numbers in the html output, nor do you
>need them, because you get links. you always get numbers in the txt
>output.
>

What I want is

     input                                               text output
     ------                                                --------------
    <xref target='foo'/>                        foo's-title

Thanks,
---George Jones

From: [email-masked] (Marshall Rose)
Date: Wed, 11 Jun 2003 10:50:13 -0700
Subject: [xml2rfc] Another <list> problem with 1.19 ?
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

> I would think so. Maybe this is a defect in the XML validator used by
> xml2rfc? You may want to DTD-validate with a standalone XML parser
> instead...

yes. i'll see if i can't make it stricter.
    
/mtr

From: [email-masked] (Julian Reschke)
Date: Wed, 11 Jun 2003 09:50:44 +0200
Subject: [xml2rfc] Another <list> problem with 1.19 ?
In-Reply-To: <[email-masked]>
Message-ID: <[email-masked]>

> From: John C Klensin [mailto:[email-masked]]
> Sent: Wednesday, June 11, 2003 9:46 AM
> To: Julian Reschke; [email-masked]
> Subject: RE: [xml2rfc] Another <list> problem with 1.19 ?
>
>
>
>
> --On Wednesday, 11 June, 2003 09:12 +0200 Julian Reschke
> <[email-masked]> wrote:
>
> > Check spelling of the attributes "hangIndent" and "hangText".
>
> Well, now I feel suitably stupid.  Thanks -- that did it.
>
> However, shouldn't "strict" have picked up attributes that are
> not listed in the DTD?

I would think so. Maybe this is a defect in the XML validator used by
xml2rfc? You may want to DTD-validate with a standalone XML parser
instead...

Julian

--
<green/>bytes GmbH -- http://www.greenbytes.de -- tel:+492512807760

From: [email-masked] (John C Klensin)
Date: Wed, 11 Jun 2003 03:46:29 -0400
Subject: [xml2rfc] Another <list> problem with 1.19 ?
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

--On Wednesday, 11 June, 2003 09:12 +0200 Julian Reschke 
<[email-masked]> wrote:

> Check spelling of the attributes "hangIndent" and "hangText".

Well, now I feel suitably stupid.  Thanks -- that did it.

However, shouldn't "strict" have picked up attributes that are 
not listed in the DTD?

  thanks again,
      john

From: [email-masked] (Graham Klyne)
Date: Wed, 11 Jun 2003 08:42:23 +0100
Subject: [xml2rfc] Another <list> problem with 1.19 ?
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

At 02:27 11/06/03 -0400, John C Klensin wrote:
>If I am correctly reading the spec, I would see the "hangtext" characters 
>off to the left of the indented material, which would be indented 15 
>spaces.  Instead, it is indented only three spaces past body text, and the 
>hangtext disappears entirely. This occurs with "strict" either on or off.
>
>Is there something I'm not understanding?

This one gets me sometimes.  I think it's "hangText" (note case of 'T').

#g

-------------------
Graham Klyne
<[email-masked]>
PGP: 0FAA 69FF C083 000B A2E9  A131 01B9 1C7A DBCA CB5E

From: [email-masked] (Julian Reschke)
Date: Wed, 11 Jun 2003 09:12:01 +0200
Subject: [xml2rfc] Another <list> problem with 1.19 ?
In-Reply-To: <[email-masked]>
Message-ID: <[email-masked]>

Check spelling of the attributes "hangIndent" and "hangText".

Julian

--
<green/>bytes GmbH -- http://www.greenbytes.de -- tel:+492512807760 

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of John C Klensin
> Sent: Wednesday, June 11, 2003 8:28 AM
> To: [email-masked]
> Subject: [xml2rfc] Another <list> problem with 1.19 ?
> 
> 
> Hi.
> 
> I've got a construction of...
> 
> <section title="The MAILTO URL" anchor="mailto-url">
> <t>
> [...]
> <vspace blankLines="1" />
> The following characters may appear in MAILTO URLs only with the 
> specific
> defined meanings given.  If they appear in an email address 
> (i.e., for
> some other purpose), they must be encoded:
> <list style="hanging" hangindent='15'>
>   <t hangtext=":"> The colon in "mailto:" </t>
>   <t hangtext='<>#"%{}|\^~`'> These characters are "unsafe" in 
> any
>      URL,and must always be encoded. </t>
> </list>
> <vspace blankLines="1" />
> [...]
> </t> </section>
> 
> It generates....
> 
>    The following characters may appear in MAILTO URLs only with 
> the
>    specific defined meanings given.  If they appear in an email 
> address
>    (i.e., for some other purpose), they must be encoded:
> 
>       The colon in "mailto:"
> 
>       These characters are "unsafe" in any URL,and must always be
>       encoded.
> 
> ....
> If I am correctly reading the spec, I would see the "hangtext" 
> characters off to the left of the indented material, which would 
> be indented 15 spaces.  Instead, it is indented only three 
> spaces past body text, and the hangtext disappears entirely. 
> This occurs with "strict" either on or off.
> 
> Is there something I'm not understanding?
> 
> thanks,
>     john
> 
> _______________________________________________
> xml2rfc mailing list
> [email-masked]
> http://lists.xml.resource.org/mailman/listinfo/xml2rfc
> 

From: [email-masked] (John C Klensin)
Date: Wed, 11 Jun 2003 02:27:35 -0400
Subject: [xml2rfc] Another <list> problem with 1.19 ?
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

Hi.

I've got a construction of...

<section title="The MAILTO URL" anchor="mailto-url">
<t>
[...]
<vspace blankLines="1" />
The following characters may appear in MAILTO URLs only with the 
specific
defined meanings given.  If they appear in an email address 
(i.e., for
some other purpose), they must be encoded:
<list style="hanging" hangindent='15'>
  <t hangtext=":"> The colon in "mailto:" </t>
  <t hangtext='<>#"%{}|\^~`'> These characters are "unsafe" in 
any
     URL,and must always be encoded. </t>
</list>
<vspace blankLines="1" />
[...]
</t> </section>

It generates....

   The following characters may appear in MAILTO URLs only with 
the
   specific defined meanings given.  If they appear in an email 
address
   (i.e., for some other purpose), they must be encoded:

      The colon in "mailto:"

      These characters are "unsafe" in any URL,and must always be
      encoded.

....
If I am correctly reading the spec, I would see the "hangtext" 
characters off to the left of the indented material, which would 
be indented 15 spaces.  Instead, it is indented only three 
spaces past body text, and the hangtext disappears entirely. 
This occurs with "strict" either on or off.

Is there something I'm not understanding?

thanks,
    john

From: [email-masked] (Alex Rousskov)
Date: Tue, 10 Jun 2003 10:29:33 -0600 (MDT)
Subject: [xml2rfc] Problems with <list> since 1.18
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]> <[email-masked]> <[email-masked]> <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

On Tue, 10 Jun 2003, Fred Templin wrote:

> >>As a higher-level comment, I'd prefer to see the "strict" option
> >>broken into two seperate options, e.g., "rfcstrict" and
> >>"dtdstrict" with each of the two options doing what the name
> >>implies.
> >
> >well, 'strict' is strict...
> >
> Yes, but it got inexplicably stricter overnight in the transition
> from 1.17 -> 1.18. Caused me alot of grief.

Try asking for a Change Log instead :-)

Alex.

From: [email-masked] (Fred Templin)
Date: Tue, 10 Jun 2003 09:25:46 -0700
Subject: [xml2rfc] Problems with <list> since 1.18
References: <[email-masked]>	<[email-masked]>	<[email-masked]>	<[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

Marshall Rose wrote:

>>As a higher-level comment, I'd prefer to see the "strict" option broken into
>>two seperate options, e.g., "rfcstrict" and "dtdstrict" with each of the two
>>options doing what the name implies.
>>    
>>
>
>well, 'strict' is strict...
>
Yes, but it got inexplicably stricter overnight in the transition from 
1.17 -> 1.18.
Caused me alot of grief. Wouldn't have if the functions were kept 
seperate rather
than overloaded on a single option.

Fred
[email-masked]

From: [email-masked] (Marshall Rose)
Date: Tue, 10 Jun 2003 09:11:12 -0700
Subject: [xml2rfc] Problems with <list> since 1.18
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]> <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

> As a higher-level comment, I'd prefer to see the "strict" option broken into
> two seperate options, e.g., "rfcstrict" and "dtdstrict" with each of the two
> options doing what the name implies.

well, 'strict' is strict...
    
/mtr

From: [email-masked] (Fred Templin)
Date: Mon, 09 Jun 2003 16:56:24 -0700
Subject: [xml2rfc] Problems with <list> since 1.18
References: <[email-masked]>	<[email-masked]>	<[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

Whoops!  Just sent you another message before seeing this one. I can
verify that the fix worked.

BTW, if you think the example document at:

  http://www.geocities.com/osprey67/draft-example.xml

would make a useful addition to your kit, you're welcome to it.

Fred Templin
[email-masked]

Marshall Rose wrote:

>>Thanks - that seems to have fixed the <list> issue. But, now I'm getting:
>>
>>	not expecting <section> around line 122
>>
>>	Syntax: 
>>	    <rfc category="info" ipr="full2026" docName="draft-example.txt">
>>	    <back>
>>
>>But, line 122 of the document is <back>; not <section>.
>>Any ideas?
>>    
>>
>
>it does say "around line 122" not "exactly at line 122"...
>
>as to the actual error... the code that handles appendices underwent
>some changes. it should be fixed now.
>    
>/mtr
>    
>  
>

From: [email-masked] (Fred Templin)
Date: Mon, 09 Jun 2003 16:51:30 -0700
Subject: [xml2rfc] Problems with <list> since 1.18
References: <[email-masked]> <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

I think I can answer my own question on this one. xml2rfc seems to be
complaining about a  '<section>' directive that appears after the 
references,
i.e., an appendix section as described in section 2.4.2 of  the 5/10/2003
revision of: "Writing I-Ds and RFCs using XML". The problem goes
away when I remove '<?rfc strict='yes'?>' from the head of the document.
Seems like this could be a bug?

As a higher-level comment, I'd prefer to see the "strict" option broken into
two seperate options, e.g., "rfcstrict" and "dtdstrict" with each of the two
options doing what the name implies.

Thanks,

Fred
[email-masked]

Fred Templin wrote:

> Thanks - that seems to have fixed the <list> issue. But, now I'm getting:
>
>     not expecting <section> around line 122
>
>     Syntax:         <rfc category="info" ipr="full2026" 
> docName="draft-example.txt">
>         <back>
>
> But, line 122 of the document is <back>; not <section>.
> Any ideas?
>
> Fred
> [email-masked]
>
> P.S. Once again, document text is at:
>
>  http://www.geocities.com/osprey67/draft-example.xml
>
>
>
>
> Marshall Rose wrote:
>
>>> This and other documents I have written using the <list> directive
>>> used to work fine with version 1.17. Can anyone tell me why I can't
>>> get them to convert under 1.18 and 1.19?
>>>   
>>
>>
>> you're using "strict" which runs an xml validator against your input. 
>> among
>> other things, this makes sure that you are nesting elements properly.
>>
>> the diagnostic says:
>>
>>     not expecting <list> around line 49
>>
>>     Syntax:
>>     <rfc category=...
>>     <middle>
>>     <section title="Applicability Statement">
>>
>> you have a <list/> starting under the <section/>. it should be nested 
>> under a
>> <t/> inside the <section/>.
>>
>> /mtr
>> _______________________________________________
>> xml2rfc mailing list
>> [email-masked]
>> http://lists.xml.resource.org/mailman/listinfo/xml2rfc
>>  
>>
>
>
> _______________________________________________
> xml2rfc mailing list
> [email-masked]
> http://lists.xml.resource.org/mailman/listinfo/xml2rfc

From: [email-masked] (Marshall Rose)
Date: Mon, 9 Jun 2003 16:46:58 -0700
Subject: [xml2rfc] Problems with <list> since 1.18
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

> Thanks - that seems to have fixed the <list> issue. But, now I'm getting:
> 
> 	not expecting <section> around line 122
> 
> 	Syntax: 
> 	    <rfc category="info" ipr="full2026" docName="draft-example.txt">
> 	    <back>
> 
> But, line 122 of the document is <back>; not <section>.
> Any ideas?

it does say "around line 122" not "exactly at line 122"...

as to the actual error... the code that handles appendices underwent
some changes. it should be fixed now.
    
/mtr

From: [email-masked] (Fred Templin)
Date: Mon, 09 Jun 2003 15:47:55 -0700
Subject: [xml2rfc] Problems with <list> since 1.18
References: <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

Thanks - that seems to have fixed the <list> issue. But, now I'm getting:

	not expecting <section> around line 122

	Syntax: 
	    <rfc category="info" ipr="full2026" docName="draft-example.txt">
	    <back>

But, line 122 of the document is <back>; not <section>.
Any ideas?

Fred
[email-masked]

P.S. Once again, document text is at:

  http://www.geocities.com/osprey67/draft-example.xml

Marshall Rose wrote:

>>This and other documents I have written using the <list> directive
>>used to work fine with version 1.17. Can anyone tell me why I can't
>>get them to convert under 1.18 and 1.19?
>>    
>>
>
>you're using "strict" which runs an xml validator against your input. among
>other things, this makes sure that you are nesting elements properly.
>
>the diagnostic says:
>
>	not expecting <list> around line 49
>
>	Syntax:
>	<rfc category=...
>	<middle>
>	<section title="Applicability Statement">
>
>you have a <list/> starting under the <section/>. it should be nested under a
><t/> inside the <section/>.
>
>/mtr
>_______________________________________________
>xml2rfc mailing list
>[email-masked]
>http://lists.xml.resource.org/mailman/listinfo/xml2rfc
>  
>

From: [email-masked] (Marshall Rose)
Date: Mon, 9 Jun 2003 14:50:12 -0700
Subject: [xml2rfc] Problems with <list> since 1.18
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

> This and other documents I have written using the <list> directive
> used to work fine with version 1.17. Can anyone tell me why I can't
> get them to convert under 1.18 and 1.19?

you're using "strict" which runs an xml validator against your input. among
other things, this makes sure that you are nesting elements properly.

the diagnostic says:

	not expecting <list> around line 49

	Syntax:
	<rfc category=...
	<middle>
	<section title="Applicability Statement">

you have a <list/> starting under the <section/>. it should be nested under a
<t/> inside the <section/>.

/mtr

From: [email-masked] (Fred Templin)
Date: Mon, 09 Jun 2003 14:42:53 -0700
Subject: [xml2rfc] Problems with <list> since 1.18
Message-ID: <[email-masked]>

Hello,

Since version 1.18, I have not been able to convert xml source files that
include the <list> directive. For example, when I run 'xml2rfc' against
the source found at:

  http://www.geocities.com/osprey67/draft-example.xml

I get the following error code:

  Unable to Convert File

  not expecting <list> around line 49

  Syntax: 
    <rfc category="info" ipr="full2026" docName="draft-example.txt">
    <middle>
    <section title="Applicability Statement" anchor="applic">

This and other documents I have written using the <list> directive
used to work fine with version 1.17. Can anyone tell me why I can't
get them to convert under 1.18 and 1.19?

Fred Templin
[email-masked]